Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class DateOrDateTimePeriodChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.DateOrDateTimePeriodChoice

    public class DateOrDateTimePeriodChoice
    extends java.lang.Object

Java class for DateOrDateTimePeriodChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateOrDateTimePeriodChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}DatePeriodDetails"/>
             <element name="DtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}DateTimePeriodDetails"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected DatePeriodDetails` `dt`
`protected DateTimePeriodDetails` `dtTm`

### Constructor Summary

Constructors
`DateOrDateTimePeriodChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DatePeriodDetails` `getDt()` Gets the value of the dt property.
`DateTimePeriodDetails` `getDtTm()` Gets the value of the dtTm property.
`void` `setDt​(DatePeriodDetails value)` Sets the value of the dt property.
`void` `setDtTm​(DateTimePeriodDetails value)` Sets the value of the dtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dt

    protected DatePeriodDetails dt

#### dtTm

    protected DateTimePeriodDetails dtTm

### Constructor Detail

#### DateOrDateTimePeriodChoice

    public DateOrDateTimePeriodChoice()

### Method Detail

#### getDt

    public DatePeriodDetails getDt()

Gets the value of the dt property.

Returns:
  possible object is `DatePeriodDetails`

#### setDt

    public void setDt​(DatePeriodDetails value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DatePeriodDetails`

#### getDtTm

    public DateTimePeriodDetails getDtTm()

Gets the value of the dtTm property.

Returns:
  possible object is `DateTimePeriodDetails`

#### setDtTm

    public void setDtTm​(DateTimePeriodDetails value)

Sets the value of the dtTm property.

Parameters:
  `value` - allowed object is `DateTimePeriodDetails`